In this post i try to show to  you way to make more easier Discoverer 10.1.2 installation on OEL5.5 x86-64 platform

Before start you must follow below document:

Oracle Application Server 10g (10.1.2) Installation Requirements for Linux OEL 5 and RHEL 5 [ID 564174.1]

You must check and confirm all package and all other requirements before start Discoverer 10.1.2 installation on OEL5.5 x86-64 platform

Discoverer 10.1.2 can be download from below link:

http://www.oracle.com/technetwork/middleware/ias/downloads/101202-095224.html

I am using setup which is avalibale under Business Intelligence part

There is no specific setup for linux x86-64. There is only available setup for linux x86.

If you run installation directly which you download from upper Discover setup,  it gives you below error:

disco@xxx Disk1]$ ./runInstaller

The Oracle Application Server 10g is a 32-bit application to be installed on either Linux x86 or Linux x86-64. There are 32-bit installation requirements on Linux x86-64 in order allow compatibility with the 32-bit Application Server product. Please see the Installation Guide for other general platform requirements.

For can run seup,  first set below line on your shell than try to start runInstaller again

disco@xxx Disk1]$ linux32 bash
disco@xxx Disk1]$ ./runInstaller

——————————————————————————————————————-
The OUI Screen may take around 5 to 30 seconds to come up depending upon system performance. Please Wait …….
——————————————————————————————————————-
Starting Oracle Universal Installer…
Checking installer requirements…
Checking operating system version: must be redhat-2.1, redhat-3, redhat-4, SuSE-8, SuSE-9 or UnitedLinux-1.0
Failed <<<<
Exiting Oracle Universal Installer, log for this session can be found at /tmp/OraInstall2010-09-08_11-33-00AM/installActions2010-09-08_11-33-00AM.log

As you can see it through Operating system failure error.

You can pass this error as below syntax:

disco@xxx Disk1]$ ./runInstaller -ignoreSysPrereqs

——————————————————————————————————————-
The OUI Screen may take around 5 to 30 seconds to come up depending upon system performance. Please Wait …….
——————————————————————————————————————-
Starting Oracle Universal Installer…
Checking installer requirements…

Checking operating system version: must be redhat-2.1, redhat-3, redhat-4, SuSE-8, SuSE-9 or UnitedLinux-1.0
Failed <<<<
>>> Ignoring required pre-requisite failures. Continuing…

Preparing to launch Oracle Universal Installer from /tmp/OraInstall2010-09-08_11-34-54AM. Please wait …[disco@xxx Disk1]$ Oracle Universal Installer, Version 10.1.0.4.0 Production
Copyright (C) 1999, 2005, Oracle. All rights reserved.

This command will you bring installation wizard but it will stuck on pre-request check steps.You will have “your OS is not certified” error durin installation wizard.

So the question is how we can pass this error. This issue already cover in first metalink note 564174.1.

Before installing Oracle Application Server 10g Release 2 (10.1.2.0.2) , you must apply Patch:6687768 in order to start the installer. If you do not apply this patch, pre-req check for the OS Version will fail when you invoke the runInstaller.

After apply path start installer as below:

disco@xxx Disk1]$ ./runInstaller -ignoreSysPrereqs

During installation you can hit some  error message while i faced with all issue on my installation. If you hit any error message during Discoverer 10.1.2 installation please check metalink note 564174.1 Known issue part

I had below error while i was try to create EUL wiht eulapi command after my installation succeeded

xxx/OraHome_1/jdk/bin/java: error while loading shared libraries: libpthread.so.0: cannot open shared object file: No such file or directory

This error define in note:

EULAPI FAILS WITH ERROR WHILE LOADING SHARED LIBRARIES: LIBPTHREAD.SO.0: WRONG ELF CLASS: ELFCLASS64 [ID 972701.1]

After follow notes and when i try to run again eulapi it run as below:

create_eul
-connect <**********>
-apps_mode
-password EUL_US
-default_tablespace DISCOVERER
-temporary_tablespace temp
-apps_grant_details apps/apps
-eul_language US
-user EUL_US
Command completed.
Aborted

As you can see normaly this command end wiht Command completed. But this time it also give Aborted message. This issue report in below metalink note:

Eulapi Aborts While Granting The Sysadmin Rights To Eul. [ID 853302.1]

Advertisements